package com.scpyun.platform.jilinsscgsdp.bean.entity;


import com.scpyun.base.bean.User;

import java.util.List;

/**
 * 回访记录
 */
public class FollowUpRecords {

    private String id;

    /**
     * 回访时间
     */
    private String recordTime;

    /**
     * 满意度（1-100）
     */
    private Integer satisfactionLevel;

    /**
     * 沟通记录
     */
    private String recordLog;

    /**
     * 意见建议
     */
    private String opinions;

    /**
     * 纠纷编号 jl_event --> event_code（事件编号）
     */
    private String eventCode;

    private String createTime;
    private String updateTime;
    private String updateUser;
    private String createUser;
    private String delFlag;

    // 附件
    private List<FollowUpRecordsFiles> files;

    public List<FollowUpRecordsFiles> getFiles() {
        return files;
    }

    public void setFiles(List<FollowUpRecordsFiles> files) {
        this.files = files;
    }

    public String getEventCode() {
        return eventCode;
    }

    public void setEventCode(String eventCode) {
        this.eventCode = eventCode;
    }

    private User _user;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getRecordTime() {
        return recordTime;
    }

    public void setRecordTime(String recordTime) {
        this.recordTime = recordTime;
    }

    public Integer getSatisfactionLevel() {
        return satisfactionLevel;
    }

    public void setSatisfactionLevel(Integer satisfactionLevel) {
        this.satisfactionLevel = satisfactionLevel;
    }

    public String getRecordLog() {
        return recordLog;
    }

    public void setRecordLog(String recordLog) {
        this.recordLog = recordLog;
    }

    public String getOpinions() {
        return opinions;
    }

    public void setOpinions(String opinions) {
        this.opinions = opinions;
    }

    public String getCreateTime() {
        return createTime;
    }

    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    public String getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(String updateTime) {
        this.updateTime = updateTime;
    }

    public String getUpdateUser() {
        return updateUser;
    }

    public void setUpdateUser(String updateUser) {
        this.updateUser = updateUser;
    }

    public String getCreateUser() {
        return createUser;
    }

    public void setCreateUser(String createUser) {
        this.createUser = createUser;
    }

    public String getDelFlag() {
        return delFlag;
    }

    public void setDelFlag(String delFlag) {
        this.delFlag = delFlag;
    }

    public User get_user() {
        return _user;
    }

    public void set_user(User _user) {
        this._user = _user;
    }
}
